Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1188514 - Review Request: nodejs-time - time.h bindings for Node.js [NEEDINFO]
Summary: Review Request: nodejs-time - time.h bindings for Node.js
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2015-02-03 06:04 UTC by anish
Modified: 2015-11-14 13:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-14 13:35:01 UTC
piotr1212: fedora-review-
piotr1212: needinfo? (apatil)


Attachments (Terms of Use)

Description anish 2015-02-03 06:04:31 UTC
Spec URL: https://anishpatil.fedorapeople.org/nodejs-time.spec
SRPM URL: https://anishpatil.fedorapeople.org/nodejs-time-0.11.0-1.fc21.src.rpm
Description: Offers simple bindings for the C time.h APIs and extended native Date object with getTimezone() and setTimezone() functions
Fedora Account System Username: anishpatil

Comment 1 Piotr Popieluch 2015-02-23 21:31:10 UTC
some comments:


- this is a native module and needs to be compiled
see: https://fedoraproject.org/wiki/Packaging:Node.js?rd=Node.js/Packagers#Building_native_modules_with_node-gyp
for instructions on how to build the module


- package fails to install on rawhide:

[root@localhost ~]# dnf install nodejs-time-0.11.0-1.fc23.noarch.rpm
Failed loading plugin: kickstart
Using metadata from Mon Feb 23 20:58:32 2015
Error: nothing provides npm(nan) = 1.1.2 needed by nodejs-time-0.11.0-1.fc23.noarch

nodejs_fixdep might help with this


- description too long
please rewrap to 80 chars width


- please enable tests
%global enable_tests 1


- %check section occurs twice in spec file
please remove one


- symlink deps missing in %build
or is this not needed?


- %nodejs_symlink_deps --check missing in %check section
please add this

- latest version is 0.11.1 packaged is 0.11.0
please update

Comment 2 anish 2015-02-26 11:36:52 UTC
Hi Piotr,

Thank you for your comments, please find new SRPM and spec file on 


Spec URL: https://anishpatil.fedorapeople.org/nodejs-time.spec
SRPM URL: https://anishpatil.fedorapeople.org/nodejs-time-0.11.1-1.fc21.src.rpm

Comment 3 Piotr Popieluch 2015-02-26 21:10:02 UTC
The package fails to build in mock. I think there is some BR missing:


make: Entering directory '/builddir/build/BUILD/node-time-0.11.1/build'
  CXX(target) Release/obj.target/time/src/time.o
In file included from ../src/time.cc:6:0:
/usr/include/node/node.h:150:46: error: 'uv_statbuf_t' does not name a type
 v8::Local<v8::Object> BuildStatsObject(const uv_statbuf_t* s);
                                              ^
In file included from ../src/time.cc:6:0:
/usr/include/node/node.h:252:16: error: variable or field 'SetErrno' declared void
 NODE_EXTERN void SetErrno(uv_err_t err);
                ^
/usr/include/node/node.h:252:16: error: 'uv_err_t' was not declared in this scope
time.target.mk:90: recipe for target 'Release/obj.target/time/src/time.o' failed
make: Leaving directory '/builddir/build/BUILD/node-time-0.11.1/build'
make: *** [Release/obj.target/time/src/time.o] Error 1

Comment 5 Piotr Popieluch 2015-07-06 19:39:16 UTC
Anish, any updates on this?

Comment 6 Piotr Popieluch 2015-10-17 11:53:32 UTC
This seems stalled, closing bug in one week.
https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

Comment 7 Piotr Popieluch 2015-11-14 13:35:01 UTC
closing.


Note You need to log in before you can comment on or make changes to this bug.